=head1 NAME

Gtk2::CellView

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::CellView



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::CellLayout



=cut


=head1 METHODS

=head2 widget = Gtk2::CellView-E<gt>B<new> 

=head2 widget = Gtk2::CellView-E<gt>B<new_with_markup> ($markup)

=over

=item * $markup (string) 

=back

=head2 widget = Gtk2::CellView-E<gt>B<new_with_pixbuf> ($pixbuf)

=over

=item * $pixbuf (Gtk2::Gdk::Pixbuf) 

=back

=head2 widget = Gtk2::CellView-E<gt>B<new_with_text> ($text)

=over

=item * $text (string) 

=back

=head2 $cell_view-E<gt>B<set_background_color> ($color)

=over

=item * $color (Gtk2::Gdk::Color) 

=back

=head2 list = $cellview-E<gt>B<get_cell_renderers> 

=head2 treepath = $cell_view-E<gt>B<get_displayed_row> 

=head2 $cell_view-E<gt>B<set_displayed_row> ($path)

=over

=item * $path (Gtk2::TreePath) 

=back

=head2 $cell_view-E<gt>B<set_model> ($model)

=over

=item * $model (Gtk2::TreeModel) 

=back

=head2 requisition = $cell_view-E<gt>B<get_size_of_row> ($path)

=over

=item * $path (Gtk2::TreePath) 

=back



=cut


=head1 PROPERTIES

=over

=item 'background' (string : writable / private)

Background color as a string

=item 'background-gdk' (Gtk2::Gdk::Color : readable / writable / private)

Background color as a GdkColor

=item 'background-set' (boolean : readable / writable / private)

Whether this tag affects the background color

=item 'model' (Gtk2::TreeModel : readable / writable / private)

The model for cell view

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

